View Issue Details

IDProjectCategoryView StatusLast Update
0003898GNUnetcadet servicepublic2018-06-07 00:24
ReporteramatusAssigned ToChristian Grothoff 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Platformamd64OSDebianOS Versionjessie
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003898: Assertion failed in GCT_get_cstate
DescriptionThis is from my peer running rev 36091

Program terminated with signal SIGABRT, Aborted.
#0 0x00007fd97bd6d107 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
56 ../nptl/sysdeps/unix/sysv/linux/raise.c: No such file or directory.
(gdb) bt
#0 0x00007fd97bd6d107 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#1 0x00007fd97bd6e4e8 in __GI_abort () at abort.c:89
#2 0x00007fd97d22de2a in GNUNET_abort_ () at common_logging.c:290
#3 0x000000000040d7ea in GCT_get_cstate (t=0x0) at gnunet-service-cadet_tunnel.c:3924
#4 0x000000000040ffa8 in send_connection_ack (connection=0x2128280, fwd=1)
    at gnunet-service-cadet_connection.c:973
#5 0x0000000000412a6d in GCC_handle_confirm (cls=0x0, peer=0x7ffd51ac4854, message=0x7ffd51ac4874)
    at gnunet-service-cadet_connection.c:2108
#6 0x00007fd97ce02039 in main_notify_handler (cls=0x20c8f50, msg=0x7ffd51ac4850) at core_api.c:967
#7 0x00007fd97d22924b in receive_task (cls=0x20c79e0, tc=0x7ffd51ac4960) at client.c:618
#8 0x00007fd97d2679ea in run_ready (rs=0x20dbda0, ws=0x20c6a20) at scheduler.c:587
#9 0x00007fd97d26827e in GNUNET_SCHEDULER_run (task=0x7fd97d2737f5 <service_task>,
    task_cls=0x7ffd51ac4cf0) at scheduler.c:867
#10 0x00007fd97d27541d in GNUNET_SERVICE_run (argc=7, argv=0x7ffd51ac4f88,
    service_name=0x42a768 "cadet", options=GNUNET_SERVICE_OPTION_NONE, task=0x42624f <run>, task_cls=0x0)
    at service.c:1503
#11 0x00000000004264ee in main (argc=7, argv=0x7ffd51ac4f88) at gnunet-service-cadet.c:174
(gdb) f 4
#4 0x000000000040ffa8 in send_connection_ack (connection=0x2128280, fwd=1)
    at gnunet-service-cadet_connection.c:973
973 gnunet-service-cadet_connection.c: No such file or directory.
(gdb) p *connection
$1 = {t = 0x0, fwd_fc = {c = 0x2128280, queue_n = 1, queue_max = 11, last_pid_sent = 11,
    last_pid_recv = 4294967295, recv_bitmap = 0, last_ack_sent = 0, last_ack_recv = 11,
    poll_task = 0x210ffa0, poll_time = {rel_value_us = 900000000}, poll_msg = 0x0, ack_msg = 0x0},
  bck_fc = {c = 0x2128280, queue_n = 0, queue_max = 11, last_pid_sent = 4294967295,
    last_pid_recv = 4294967295, recv_bitmap = 0, last_ack_sent = 0, last_ack_recv = 0, poll_task = 0x0,
    poll_time = {rel_value_us = 1000000}, poll_msg = 0x0, ack_msg = 0x0}, perf = 0x0, id = {
    bits = "\004bI\266\066\b\326\375\067\227\311\000\034-ɫ\305\031\344\342\256\240\322\364\321\001\212\023!qCw"}, path = 0x2120c00, fwd_maintenance_task = 0x0, bck_maintenance_task = 0x2115af0,
  maintenance_q = 0x0, next_peer = 0x20e04f0, prev_peer = 0x20c8be0, state = CADET_CONNECTION_DESTROYED,
  own_pos = 0, pending_messages = 2, destroy = 1, was_removed = 0, create_retry = 1}
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2015-07-17 16:45 amatus New Issue
2015-07-17 16:45 amatus Status new => assigned
2015-07-17 16:45 amatus Assigned To => Bart Polot
2017-02-21 18:32 Christian Grothoff Assigned To Bart Polot => Christian Grothoff
2017-02-21 18:32 Christian Grothoff Status assigned => resolved
2017-02-21 18:32 Christian Grothoff Resolution open => fixed
2017-02-21 18:32 Christian Grothoff Fixed in Version => 0.11.0pre66
2017-02-21 18:32 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed